Rapid7 Vulnerability & Exploit Database

Huawei EulerOS: CVE-2014-0190: qt security update

Back to Search

Huawei EulerOS: CVE-2014-0190: qt security update

Severity
4
CVSS
(AV:N/AC:M/Au:N/C:N/I:N/A:P)
Published
05/08/2014
Created
12/19/2019
Added
12/18/2019
Modified
12/18/2019

Description

The GIF decoder in QtGui in Qt before 5.3 allows remote attackers to cause a denial of service (NULL pointer dereference) via invalid width and height values in a GIF image.

Solution(s)

  • huawei-euleros-2_0_sp3-upgrade-qt
  • huawei-euleros-2_0_sp3-upgrade-qt-devel
  • huawei-euleros-2_0_sp3-upgrade-qt-mysql
  • huawei-euleros-2_0_sp3-upgrade-qt-odbc
  • huawei-euleros-2_0_sp3-upgrade-qt-postgresql
  • huawei-euleros-2_0_sp3-upgrade-qt-x11

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;